*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Typography */
#main-header {
  font-family: "Cormorant Garamond", serif;
  font-size: 2rem;
  font-weight: 700;
  margin: 0 0 1rem 0;
  color: #333;
  letter-spacing: 0.01em;
  text-align: center;
}

/* Base layout */
body {
  margin: 0 auto;
  padding: 6rem 1rem;
  max-width: 900px;

  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  line-height: 1.6;
  color: #333;
  background-color: #fdfaf0;
}

#logo {
  max-width: 300px;
  display: block;
  padding-bottom: 2rem;
  margin: auto;
}

main {
  display: flex;
  flex-direction: column;
  gap: 40px;
}

main > section:first-child {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

#portrait {
  width: 100%;
  display: block;
  border-radius: 1rem;
}

#contact-list {
  list-style: none;
  margin: 0;
  padding: 1rem;

  background-color: #efecdc;
  border-radius: 1rem;
}

#contact-list li {
  margin: 0;
}

#contact-list li {
  position: relative;
}

#contact-list li:not(:last-child)::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 1rem;
  right: 1rem;
  height: 2px;
  background-color: #e6e3d3;
}
/* Contact links */
.contact-link {
  display: flex;
  align-items: center;
  gap: 1rem;

  padding: 1rem;
  border-radius: 1rem;

  text-decoration: none;
  color: #6b705c;

  transition:
    background-color 0.15s ease,
    color 0.15s ease;
}

.contact-link i {
  width: 1rem;
  text-align: center;
}

.contact-link span {
  margin-left: auto;
}

.contact-link:hover {
  background-color: #e6e3d3;
  color: #333;
}

.bold-text {
  font-weight: 700;
}

/* Right column text */
#main-paragraph {
  font-size: 1.1rem;
  margin: 0 0 1rem 0;
}

/* Desktop layout */
@media (min-width: 768px) {
  main {
    flex-direction: row;
    align-items: flex-start;
    gap: 3rem;
  }

  #logo {
    margin: 0;
  }

  main > section:first-child {
    flex: 0 0 300px;
  }

  main > section:last-child {
    flex: 1;
  }
}
